# Uses of Class
org.bukkit.plugin.RegisteredServiceProvider

Packages that use RegisteredServiceProvider
Package
Description
org.bukkit.event.server
`Events` relating to programmatic state changes on the server.
org.bukkit.plugin
Classes specifically relating to loading software modules at runtime.

## Uses of RegisteredServiceProvider in org.bukkit.event.server

Methods in org.bukkit.event.server that return RegisteredServiceProvider
Modifier and Type
Method
Description
`@NotNull RegisteredServiceProvider<?>`
ServiceEvent.`getProvider()`
Constructors in org.bukkit.event.server with parameters of type RegisteredServiceProvider
Modifier
Constructor
Description
``
`ServiceEvent(@NotNull RegisteredServiceProvider<?> provider)`
``
`ServiceRegisterEvent(@NotNull RegisteredServiceProvider<?> registeredProvider)`
``
`ServiceUnregisterEvent(@NotNull RegisteredServiceProvider<?> serviceProvider)`

## Uses of RegisteredServiceProvider in org.bukkit.plugin

Methods in org.bukkit.plugin that return RegisteredServiceProvider
Modifier and Type
Method
Description
`<T> @Nullable RegisteredServiceProvider<T>`
ServicesManager.`getRegistration(@NotNull Class<T> service)`
Queries for a provider registration.
`<T> @Nullable RegisteredServiceProvider<T>`
SimpleServicesManager.`getRegistration(@NotNull Class<T> service)`
Queries for a provider registration.
Methods in org.bukkit.plugin that return types with arguments of type RegisteredServiceProvider
Modifier and Type
Method
Description
`<T> @NotNull Collection<RegisteredServiceProvider<T>>`
ServicesManager.`getRegistrations(@NotNull Class<T> service)`
Get registrations of providers for a service.
`@NotNull List<RegisteredServiceProvider<?>>`
ServicesManager.`getRegistrations(@NotNull Plugin plugin)`
Get registrations of providers for a plugin.
`<T> @NotNull List<RegisteredServiceProvider<T>>`
SimpleServicesManager.`getRegistrations(@NotNull Class<T> service)`
Get registrations of providers for a service.
`@NotNull List<RegisteredServiceProvider<?>>`
SimpleServicesManager.`getRegistrations(@NotNull Plugin plugin)`
Get registrations of providers for a plugin.
Methods in org.bukkit.plugin with parameters of type RegisteredServiceProvider
Modifier and Type
Method
Description
`int`
RegisteredServiceProvider.`compareTo(@NotNull RegisteredServiceProvider<?> other)`